# OpalRTPAVPMediaType Class Reference

`#include <mediatype.h>`

Inheritance diagram for OpalRTPAVPMediaType:

[legend]
Collaboration diagram for OpalRTPAVPMediaType:
[legend]

## Public Member Functions

| OpalRTPAVPMediaType (const char *mediaType, const char *sdpType, unsigned requiredSessionId=0, OpalMediaType::AutoStartMode autoStart=OpalMediaType::DontOffer)
virtual PString | GetRTPEncoding () const
OpalMediaSession * | CreateMediaSession (OpalConnection &, unsigned) const

## Constructor & Destructor Documentation

OpalRTPAVPMediaType::OpalRTPAVPMediaType | ( | const char * | mediaType,
|  | const char * | sdpType,
|  | unsigned | requiredSessionId = `0`,
|  | OpalMediaType::AutoStartMode | autoStart = `OpalMediaType::DontOffer` |
| ) |  |  |

## Member Function Documentation

OpalMediaSession* OpalRTPAVPMediaType::CreateMediaSession | ( | OpalConnection & | ,
|  | unsigned |  |
| ) |  |  | const`[virtual]`

Create a media session suitable for the media type.

Reimplemented from OpalMediaTypeDefinition.

virtual PString OpalRTPAVPMediaType::GetRTPEncoding | ( |  | ) | const`[virtual]`

Get the string used for the RTP_FormatHandler PFactory which is used to create the RTP handler for the this media type possible values include "rtp/avp" and "udptl"

Only valid if UsesRTP return true

Implements OpalMediaTypeDefinition.

The documentation for this class was generated from the following file:

- mediatype.h